#include <cgi.h>
#include <stdio.h>
#include <stdlib.h>

void main()
{
	int i;
	fcopyfile(stdout, "test");
/*	putenv("QUERY_STRING=something=dsfklj3sdlfk&somethingelse=1287dfk");
	/*putenv("CONENT_LENGTH=390");*//*
	putenv("REQUEST_METHOD=GET");
	printf("%s\n%s\n", cgigetvalue("something"), cgigetvalue("somethingelse"));
	cginewquerystr("blaha=this is a string&blahb=this is another string");
	printf("\n%s\n%s\n", cgigetvalue("blaha"), cgigetvalue("blahb"));

	cgiclose();
	cginewquerystr("tmpa=another kool string&tmpb=and again");
	printf("\n%s\n%s\n", cgigetvalue("tmpa"), cgigetvalue("tmpb"));
	i=mail("John-Mark Gurney <gurney_j@resnet.uoregon.edu>", "John-Mark Gurney <gurney_j@localhost>", "Test", "this is a test, $tmpa and other junk $tmpb");*/
}
